POST api/Zapier/InsertServiceRequestsAddressChanges
Insert service request address change.
Request Information
URI Parameters
None.
Body Parameters
ServiceRequestsAddressChangesModel| Name | Description | Type | Additional information |
|---|---|---|---|
| new_address | string |
None. |
|
| due_date | string |
None. |
|
| description | string |
None. |
|
| status | string |
None. |
|
| insured_id | globally unique identifier |
None. |
|
| insured_name | string |
None. |
|
| insured_email | string |
None. |
|
| insured_phone | string |
None. |
|
| policy_number | string |
None. |
|
| stage | string |
None. |
|
| custom_type | string |
None. |
|
| request_database_id | globally unique identifier |
None. |
|
| policy_database_id | Collection of globally unique identifier |
None. |
|
| agent_database_id | Collection of globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"new_address": "sample string 1",
"due_date": "sample string 2",
"description": "sample string 3",
"status": "sample string 4",
"insured_id": "70188118-3a24-45cd-8982-2c3011122e88",
"insured_name": "sample string 5",
"insured_email": "sample string 6",
"insured_phone": "sample string 7",
"policy_number": "sample string 8",
"stage": "sample string 9",
"custom_type": "sample string 10",
"request_database_id": "9de0c023-8346-4d66-be23-c8ccb6dba82c",
"policy_database_id": [
"33ad6a9f-6277-43ef-a707-6405c624e078",
"3cfcc484-2a2d-409b-ac14-f59bae795b64"
],
"agent_database_id": [
"ef6bae57-7408-4530-8dca-57b90787945d",
"45f9d8c5-d733-4e3d-aa83-0c50af2fe4c7"
]
}
application/xml, text/xml
Sample:
<ServiceRequestsAddressChangesModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Models">
<AgentDatabaseId xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">
<d2p1:guid>ef6bae57-7408-4530-8dca-57b90787945d</d2p1:guid>
<d2p1:guid>45f9d8c5-d733-4e3d-aa83-0c50af2fe4c7</d2p1:guid>
</AgentDatabaseId>
<CustomType xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 10</CustomType>
<Description xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 3</Description>
<InsuredEmail xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 6</InsuredEmail>
<InsuredId xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">70188118-3a24-45cd-8982-2c3011122e88</InsuredId>
<InsuredName xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 5</InsuredName>
<InsuredPhone xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 7</InsuredPhone>
<PolicyDatabaseId xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">
<d2p1:guid>33ad6a9f-6277-43ef-a707-6405c624e078</d2p1:guid>
<d2p1:guid>3cfcc484-2a2d-409b-ac14-f59bae795b64</d2p1:guid>
</PolicyDatabaseId>
<PolicyNumber xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 8</PolicyNumber>
<RequestDatabaseId xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">9de0c023-8346-4d66-be23-c8ccb6dba82c</RequestDatabaseId>
<Stage xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 9</Stage>
<Status xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 4</Status>
<DueDate>sample string 2</DueDate>
<NewAddress>sample string 1</NewAddress>
</ServiceRequestsAddressChangesModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
NowCertsApiResultWithDatabaseId| Name | Description | Type | Additional information |
|---|---|---|---|
| DatabaseId | globally unique identifier |
None. |
|
| Status | ApiStatus |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"databaseId": "4e2d007e-1745-42c7-9852-77c962ad1b4a",
"status": 0,
"message": "sample string 2"
}
application/xml, text/xml
Sample:
<NowCertsApiResultWithDatabaseId xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum"> <Message>sample string 2</Message> <Status>Error</Status> <DatabaseId>4e2d007e-1745-42c7-9852-77c962ad1b4a</DatabaseId> </NowCertsApiResultWithDatabaseId>